/// @cond EO_CXX_EO_IMPL

inline void elm_app_server_view::pause() const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_pause());
}

inline void elm_app_server_view::resume() const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_resume());
}

inline void elm_app_server_view::shallow() const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_shallow());
}

inline void elm_app_server_view::close() const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_close());
}

inline short elm_app_server_view::progress_get() const
{
   short _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_progress_get());
   return _tmp_ret;
}

inline void elm_app_server_view::progress_set(short progress_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_progress_set(progress_));
}

inline int elm_app_server_view::new_events_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_new_events_get());
   return _tmp_ret;
}

inline void elm_app_server_view::new_events_set(int events_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_new_events_set(events_));
}

inline ::efl::eina::string_view elm_app_server_view::icon_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_icon_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm_app_server_view::icon_set(::efl::eina::string_view icon_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_icon_set(::efl::eolian::to_c(icon_)));
}

inline ::efl::eina::optional< ::efl::eina::string_view > elm_app_server_view::title_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_title_get());
   return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm_app_server_view::title_set(::efl::eina::optional< ::efl::eina::string_view > title_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_title_set(::efl::eolian::to_c(title_)));
}

inline void elm_app_server_view::window_set(::evas::object win_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_window_set(::efl::eolian::to_c(win_)));
}

inline ::efl::eina::string_view elm_app_server_view::id_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_id_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm_app_server_view::id_set(::efl::eina::string_view ret_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_id_set(::efl::eolian::to_c(ret_)));
}

inline Elm_App_View_State elm_app_server_view::state_get() const
{
   Elm_App_View_State _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_state_get());
   return _tmp_ret;
}

inline ::efl::eina::string_view elm_app_server_view::path_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_path_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm_app_server_view::pixels_get(unsigned int* w_, unsigned int* h_, Eina_Bool* has_alpha_, const unsigned char ** pixels_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_pixels_get(w_, h_, has_alpha_, pixels_));
}

inline void elm_app_server_view::pixels_set(unsigned int w_, unsigned int h_, bool has_alpha_, const unsigned char * pixels_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_pixels_set(w_, h_, ::efl::eolian::to_c(has_alpha_), pixels_));
}

inline void eo_cxx::elm_app_server_view::pause() const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_pause());
}

inline void eo_cxx::elm_app_server_view::resume() const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_resume());
}

inline void eo_cxx::elm_app_server_view::shallow() const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_shallow());
}

inline void eo_cxx::elm_app_server_view::close() const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_close());
}

inline short eo_cxx::elm_app_server_view::progress_get() const
{
   short _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_progress_get());
   return _tmp_ret;
}

inline void eo_cxx::elm_app_server_view::progress_set(short progress_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_progress_set(progress_));
}

inline int eo_cxx::elm_app_server_view::new_events_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_new_events_get());
   return _tmp_ret;
}

inline void eo_cxx::elm_app_server_view::new_events_set(int events_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_new_events_set(events_));
}

inline ::efl::eina::string_view eo_cxx::elm_app_server_view::icon_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_icon_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm_app_server_view::icon_set(::efl::eina::string_view icon_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_icon_set(::efl::eolian::to_c(icon_)));
}

inline ::efl::eina::optional< ::efl::eina::string_view > eo_cxx::elm_app_server_view::title_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_title_get());
   return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm_app_server_view::title_set(::efl::eina::optional< ::efl::eina::string_view > title_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_title_set(::efl::eolian::to_c(title_)));
}

inline void eo_cxx::elm_app_server_view::window_set(::evas::object win_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_window_set(::efl::eolian::to_c(win_)));
}

inline ::efl::eina::string_view eo_cxx::elm_app_server_view::id_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_id_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm_app_server_view::id_set(::efl::eina::string_view ret_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_id_set(::efl::eolian::to_c(ret_)));
}

inline Elm_App_View_State eo_cxx::elm_app_server_view::state_get() const
{
   Elm_App_View_State _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_state_get());
   return _tmp_ret;
}

inline ::efl::eina::string_view eo_cxx::elm_app_server_view::path_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_app_server_view_path_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm_app_server_view::pixels_get(unsigned int* w_, unsigned int* h_, Eina_Bool* has_alpha_, const unsigned char ** pixels_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_pixels_get(w_, h_, has_alpha_, pixels_));
}

inline void eo_cxx::elm_app_server_view::pixels_set(unsigned int w_, unsigned int h_, bool has_alpha_, const unsigned char * pixels_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_app_server_view_pixels_set(w_, h_, ::efl::eolian::to_c(has_alpha_), pixels_));
}

inline ::eo_cxx::elm_app_server_view::operator ::elm_app_server_view() const
{
   return *static_cast<::elm_app_server_view const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm_app_server_view::operator ::elm_app_server_view&()
{
   return *static_cast<::elm_app_server_view*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm_app_server_view::operator ::elm_app_server_view const&() const
{
   return *static_cast<::elm_app_server_view const*>(static_cast<void const*>(this));
}

template <typename T>
void _elm_app_server_view_pause_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->pause();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void _elm_app_server_view_resume_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->resume();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void _elm_app_server_view_shallow_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->shallow();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void _elm_app_server_view_close_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->close();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
short _elm_app_server_view_progress_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->progress_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         short _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void _elm_app_server_view_progress_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, short progress_)
{
   try
      {
         static_cast<T*>(self->this_)->progress_set(progress_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
int _elm_app_server_view_new_events_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->new_events_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void _elm_app_server_view_new_events_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int events_)
{
   try
      {
         static_cast<T*>(self->this_)->new_events_set(events_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::efl::eina::string_view _elm_app_server_view_icon_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->icon_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void _elm_app_server_view_icon_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * icon_)
{
   try
      {
         static_cast<T*>(self->this_)->icon_set(::efl::eolian::to_cxx<::efl::eina::string_view>(icon_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::efl::eina::optional< ::efl::eina::string_view > _elm_app_server_view_title_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->title_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void _elm_app_server_view_title_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * title_)
{
   try
      {
         static_cast<T*>(self->this_)->title_set(::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(title_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void _elm_app_server_view_window_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Object * win_)
{
   try
      {
         static_cast<T*>(self->this_)->window_set(::efl::eolian::to_cxx<::evas::object>(win_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::efl::eina::string_view _elm_app_server_view_id_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->id_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void _elm_app_server_view_id_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * ret_)
{
   try
      {
         static_cast<T*>(self->this_)->id_set(::efl::eolian::to_cxx<::efl::eina::string_view>(ret_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
Elm_App_View_State _elm_app_server_view_state_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->state_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_App_View_State _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
::efl::eina::string_view _elm_app_server_view_path_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->path_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void _elm_app_server_view_pixels_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, unsigned int* w_, unsigned int* h_, Eina_Bool* has_alpha_, const unsigned char ** pixels_)
{
   try
      {
         static_cast<T*>(self->this_)->pixels_get(w_, h_, has_alpha_, pixels_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void _elm_app_server_view_pixels_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, unsigned int w_, unsigned int h_, Eina_Bool has_alpha_, const unsigned char * pixels_)
{
   try
      {
         static_cast<T*>(self->this_)->pixels_set(w_, h_, ::efl::eolian::to_cxx<bool>(has_alpha_, std::tuple<std::false_type>()), pixels_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm_app_server_view >
{
   template <typename T>
   struct type
         : virtual operations< ::eo::base >::template type<T>
   {
      virtual void pause()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_pause());
      }

      virtual void resume()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_resume());
      }

      virtual void shallow()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_shallow());
      }

      virtual void close()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_close());
      }

      virtual short progress_get()
      {
         short _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_app_server_view_progress_get());
            return _tmp_ret;
      }

      virtual void progress_set(short progress_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_progress_set(progress_));
      }

      virtual int new_events_get()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_app_server_view_new_events_get());
            return _tmp_ret;
      }

      virtual void new_events_set(int events_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_new_events_set(events_));
      }

      virtual ::efl::eina::string_view icon_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_app_server_view_icon_get());
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void icon_set(::efl::eina::string_view icon_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_icon_set(::efl::eolian::to_c(icon_)));
      }

      virtual ::efl::eina::optional< ::efl::eina::string_view > title_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_app_server_view_title_get());
            return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void title_set(::efl::eina::optional< ::efl::eina::string_view > title_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_title_set(::efl::eolian::to_c(title_)));
      }

      virtual void window_set(::evas::object win_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_window_set(::efl::eolian::to_c(win_)));
      }

      virtual ::efl::eina::string_view id_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_app_server_view_id_get());
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void id_set(::efl::eina::string_view ret_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_id_set(::efl::eolian::to_c(ret_)));
      }

      virtual Elm_App_View_State state_get()
      {
         Elm_App_View_State _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_app_server_view_state_get());
            return _tmp_ret;
      }

      virtual ::efl::eina::string_view path_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_app_server_view_path_get());
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void pixels_get(unsigned int* w_, unsigned int* h_, Eina_Bool* has_alpha_, const unsigned char ** pixels_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_pixels_get(w_, h_, has_alpha_, pixels_));
      }

      virtual void pixels_set(unsigned int w_, unsigned int h_, bool has_alpha_, const unsigned char * pixels_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_app_server_view_pixels_set(w_, h_, ::efl::eolian::to_c(has_alpha_), pixels_));
      }

   };
};


template<>
struct operation_description_class_size< ::elm_app_server_view >
{
   static constexpr int value = 
#if defined(ELM_APP_SERVER_VIEW_PROTECTED) && defined(ELM_APP_SERVER_VIEW_BETA)
      19
#elif defined(ELM_APP_SERVER_VIEW_PROTECTED)
      19
#elif defined(ELM_APP_SERVER_VIEW_BETA)
      19
#else
      19
#endif
      + operation_description_class_size<::eo::base >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm_app_server_view>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_pause_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_pause);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_resume_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_resume);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_shallow_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_shallow);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_close_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_close);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_progress_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_progress_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_progress_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_progress_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_new_events_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_new_events_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_new_events_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_new_events_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_icon_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_icon_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_icon_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_icon_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_title_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_title_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_title_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_title_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_window_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_window_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_id_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_id_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_id_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_id_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_state_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_state_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_path_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_path_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_pixels_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_pixels_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_app_server_view_pixels_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_app_server_view_pixels_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::eo::base>(), &ops[operation_description_class_size< ::elm_app_server_view >::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm_app_server_view>)
{
   return (ELM_APP_SERVER_VIEW_CLASS);
}

} } }

/// @endcond

